Arch Add/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Descripción==")
(Created page with " La herramienta de adicción te permite realizar cuatro tipos de operaciones: * Añadir objetos basados en formas a un componente de Arquitectura, tal como ...")
Line 3: Line 3:
==Descripción==
==Descripción==



The Add tool allows you to do 4 kinds of operations:
La herramienta de adicción te permite realizar cuatro tipos de operaciones:
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
* Añadir objetos basados en [[Part Module/es|formas]] a un componente de Arquitectura, tal como un [[Arch Wall/es|muro]] o una [[Arch Structure/es|estructura]]. Estos objetos forman así parte del componente de Arquitectura, y te permiten modificar su forma pero manteniendo sus propiedades base tales como el ancho y alto.
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
* Añadir componentes de Arquitectura, como [[Arch Wall/es|muros]] o [[Arch Structure/es|estructuras]], a un objeto de arquitectura como los [[Arch Floor/es|pisos]].
* Añadir [[Arch Axis/es|sistemas de ejes]] a [[Arch Structure/es|objetos estructurales]]
* Add objects to [[Arch SectionPlane|section planes]]
* Añadir objetos a [[Arch SectionPlane/es|planos de sección]]


[[Image:Arch Add example.jpg]]
[[Image:Arch Add example.jpg]]

Revision as of 00:15, 29 November 2013

Arch Add

Ubicación en el Menú
Arquitectura -> Adicción
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Arch Suprimir

Descripción

La herramienta de adicción te permite realizar cuatro tipos de operaciones:

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)